Owostack

Get saved payment methods

Returns the authenticated customer's saved payment methods and whether a default valid card is available.

GET
/v1/wallet

Authorization

bearerAuth

Query Parameters

customer?string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.owostack.com/v1/wallet"
{
  "hasCard": true,
  "card": {
    "id": "string",
    "last4": "string",
    "brand": "string",
    "exp": "string",
    "provider": "string"
  },
  "methods": [
    {
      "id": "string",
      "type": "card",
      "provider": "string",
      "isDefault": true,
      "isValid": true,
      "card": {
        "id": "string",
        "last4": "string",
        "brand": "string",
        "exp": "string",
        "provider": "string"
      }
    }
  ]
}
{
  "success": true,
  "error": "string",
  "code": "string",
  "message": "string",
  "property1": null,
  "property2": null
}
{
  "success": true,
  "error": "string",
  "code": "string",
  "message": "string",
  "property1": null,
  "property2": null
}
{
  "success": true,
  "error": "string",
  "code": "string",
  "message": "string",
  "property1": null,
  "property2": null
}

AI Chat

Owostack docs assistant

Start a new chat below.